Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeLog Class Reference

an error and event logging class More...

`#include <deLog.hpp>`

Inheritance diagram for IdeLog:

[legend]
List of all members.

## Public Types
enum | deErrorLevelType { DEERROR_WARNING, DEERROR_ERROR, DEERROR_FATAL }
## Public Member Functions
virtual | ~IdeLog ()
virtual deBoolean | GetCreationResult (void)=0
virtual void | Error (deErrorLevelType ErrorLevel, unsigned int ErrorCode)=0
virtual void | Error (deErrorLevelType ErrorLevel, char *Format,...)=0
virtual void | ErrorStart (deErrorLevelType ErrorLevel)=0
virtual void | ErrorAddLine (unsigned int ErrorCode)=0
virtual void | ErrorAddLine (char *Format,...)=0
virtual void | ErrorEnd (deErrorLevelType ErrorLevel)=0
virtual void | Log (char *Format,...)=0
virtual void | LogFunctionStart (const char *FunctionName)=0
virtual void | LogParamListStart ()=0
virtual void | LogParamListEnd ()=0
virtual void | LogFunctionEnd (const char *FunctionName)=0
virtual void | LogVariable (const char *VarName, char *Format,...)=0

## Detailed Description

an error and event logging class

## Member Enumeration Documentation

enum IdeLog::deErrorLevelType

  | Enumeration values:
  DEERROR_WARNING |
  DEERROR_ERROR |
  DEERROR_FATAL |

## Constructor & Destructor Documentation

virtual IdeLog::~IdeLog | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void IdeLog::Error | ( | deErrorLevelType | ErrorLevel,
|  | char * | Format,
|  | ... |
| ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::Error | ( | deErrorLevelType | ErrorLevel,
|  | unsigned int | ErrorCode
| ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::ErrorAddLine | ( | char * | Format,
|  | ... |
| ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::ErrorAddLine | ( | unsigned int | ErrorCode | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::ErrorEnd | ( | deErrorLevelType | ErrorLevel | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::ErrorStart | ( | deErrorLevelType | ErrorLevel | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual deBoolean IdeLog::GetCreationResult | ( | void |  | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::Log | ( | char * | Format,
|  | ... |
| ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::LogFunctionEnd | ( | const char * | FunctionName | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::LogFunctionStart | ( | const char * | FunctionName | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::LogParamListEnd | ( |  | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::LogParamListStart | ( |  | ) | `[pure virtual]`

| Implemented in deLogDestiny.

virtual void IdeLog::LogVariable | ( | const char * | VarName,
|  | char * | Format,
|  | ... |
| ) | `[pure virtual]`

| Implemented in deLogDestiny.

The documentation for this class was generated from the following file:

- deLog.hpp